org.jboss.resteasy.plugins.providers.jaxb

## Class ExternalEntityUnmarshaller

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.ExternalEntityUnmarshaller

- All Implemented Interfaces:
    Unmarshaller

      public class ExternalEntityUnmarshaller
      extends Object
      implements Unmarshaller

  Version:
    $Revision: 1.1 $ Created Feb 1, 2012
  Author:
    Ron Sigal

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.xml.bind.Unmarshaller

      `Unmarshaller.Listener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalEntityUnmarshaller(Unmarshaller delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<A extends XmlAdapter> A` | `getAdapter(Class<A> type)`
    `AttachmentUnmarshaller` | `getAttachmentUnmarshaller()`
    `Unmarshaller` | `getDelegate()`
    `ValidationEventHandler` | `getEventHandler()`
    `Unmarshaller.Listener` | `getListener()`
    `Object` | `getProperty(String name)`
    `Schema` | `getSchema()`
    `UnmarshallerHandler` | `getUnmarshallerHandler()`
    `boolean` | `isValidating()` Deprecated. since 2.0
    `<A extends XmlAdapter> void` | `setAdapter(Class<A> type, A adapter)`
    `void` | `setAdapter(XmlAdapter adapter)` Deprecated. since 2.0
    `void` | `setAttachmentUnmarshaller(AttachmentUnmarshaller au)`
    `void` | `setDelegate(Unmarshaller delegate)`
    `void` | `setEventHandler(ValidationEventHandler handler)`
    `void` | `setListener(Unmarshaller.Listener listener)`
    `void` | `setProperty(String name, Object value)`
    `void` | `setSchema(Schema schema)`
    `void` | `setValidating(boolean validating)` Deprecated. since 2.0
    `Object` | `unmarshal(File f)`
    `Object` | `unmarshal(InputSource source)` Turns off expansion of external entities.
    `Object` | `unmarshal(InputStream is)` Turns off expansion of external entities.
    `Object` | `unmarshal(Node node)`
    `<T> JAXBElement<T>` | `unmarshal(Node node, Class<T> declaredType)`
    `Object` | `unmarshal(Reader reader)`
    `Object` | `unmarshal(Source source)`
    `<T> JAXBElement<T>` | `unmarshal(Source source, Class<T> declaredType)`
    `Object` | `unmarshal(URL url)`
    `Object` | `unmarshal(XMLEventReader reader)`
    `<T> JAXBElement<T>` | `unmarshal(XMLEventReader reader, Class<T> declaredType)`
    `Object` | `unmarshal(XMLStreamReader reader)`
    `<T> JAXBElement<T>` | `unmarshal(XMLStreamReader reader, Class<T> declaredType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalEntityUnmarshaller

          public ExternalEntityUnmarshaller(Unmarshaller delegate)

  - ### Method Detail

    - #### getAdapter

          public <A extends XmlAdapter> A getAdapter(Class<A> type)

      Specified by:
        `getAdapter` in interface `Unmarshaller`

    - #### getAttachmentUnmarshaller

          public AttachmentUnmarshaller getAttachmentUnmarshaller()

      Specified by:
        `getAttachmentUnmarshaller` in interface `Unmarshaller`

    - #### getEventHandler

          public ValidationEventHandler getEventHandler()
                                                 throws JAXBException

      Specified by:
        `getEventHandler` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### getListener

          public Unmarshaller.Listener getListener()

      Specified by:
        `getListener` in interface `Unmarshaller`

    - #### getProperty

          public Object getProperty(String name)
                             throws PropertyException

      Specified by:
        `getProperty` in interface `Unmarshaller`
      Throws:
        `PropertyException`

    - #### getSchema

          public Schema getSchema()

      Specified by:
        `getSchema` in interface `Unmarshaller`

    - #### getUnmarshallerHandler

          public UnmarshallerHandler getUnmarshallerHandler()

      Specified by:
        `getUnmarshallerHandler` in interface `Unmarshaller`

    - #### isValidating

          @Deprecated
          public boolean isValidating()
                               throws JAXBException

      Deprecated. since 2.0
      Specified by:
        `isValidating` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### setAdapter

          @Deprecated
          public void setAdapter(XmlAdapter adapter)

      Deprecated. since 2.0
      Specified by:
        `setAdapter` in interface `Unmarshaller`

    - #### setAdapter

          public <A extends XmlAdapter> void setAdapter(Class<A> type,
                                               A adapter)

      Specified by:
        `setAdapter` in interface `Unmarshaller`

    - #### setAttachmentUnmarshaller

          public void setAttachmentUnmarshaller(AttachmentUnmarshaller au)

      Specified by:
        `setAttachmentUnmarshaller` in interface `Unmarshaller`

    - #### setEventHandler

          public void setEventHandler(ValidationEventHandler handler)
                               throws JAXBException

      Specified by:
        `setEventHandler` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### setListener

          public void setListener(Unmarshaller.Listener listener)

      Specified by:
        `setListener` in interface `Unmarshaller`

    - #### setProperty

          public void setProperty(String name,
                         Object value)
                           throws PropertyException

      Specified by:
        `setProperty` in interface `Unmarshaller`
      Throws:
        `PropertyException`

    - #### setSchema

          public void setSchema(Schema schema)

      Specified by:
        `setSchema` in interface `Unmarshaller`

    - #### setValidating

          @Deprecated
          public void setValidating(boolean validating)
                             throws JAXBException

      Deprecated. since 2.0
      Specified by:
        `setValidating` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal(File f)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal(InputStream is)
                           throws JAXBException

      Turns off expansion of external entities.
      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal(Reader reader)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal(URL url)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal(InputSource source)
                           throws JAXBException

      Turns off expansion of external entities.
      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal(Node node)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal(Source source)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal(XMLStreamReader reader)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public Object unmarshal(XMLEventReader reader)
                           throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal(Node node,
                                     Class<T> declaredType)
                                   throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal(Source source,
                                     Class<T> declaredType)
                                   throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal(XMLStreamReader reader,
                                     Class<T> declaredType)
                                   throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### unmarshal

          public <T> JAXBElement<T> unmarshal(XMLEventReader reader,
                                     Class<T> declaredType)
                                   throws JAXBException

      Specified by:
        `unmarshal` in interface `Unmarshaller`
      Throws:
        `JAXBException`

    - #### getDelegate

          public Unmarshaller getDelegate()

    - #### setDelegate

          public void setDelegate(Unmarshaller delegate)

Copyright © 2014. All Rights Reserved.